### Method

# Gio DBusAuthObserver allow_mechanism

since: 2.34

#### Declaration

    gboolean
    g_dbus_auth_observer_allow_mechanism (
      GDBusAuthObserver* observer,
      const gchar* mechanism
    )

#### Description

Emits the `GDBusAuthObserver::allow-mechanism` signal on `observer`.

Available since: 2.34

#### Parameters

`mechanism`

  Type: `const gchar*`

  The name of the mechanism, e.g. `DBUS_COOKIE_SHA1`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `mechanism` can be used to authenticate the other peer, `FALSE` if not.